//Shaders by Sage
//*********************

/////////////////////////////////
//////////////Sky///////////////
///////////////////////////////
//
//Compile:
//

textures/arta/sky
{
	qer_editorimage textures/darkness_sky/editor.jpg
	
	skyParms textures/darkness_sky/darkness_sky 2048 -

	q3map_sunExt 0.68 0.68 0.90 100 250 55 3 32 	// R G B Intensity Angle Pitch ANGLE WAS 50!

	q3map_lightmapFilterRadius 0 8	

	q3map_skylight 45 4                    //amount iterations


	q3map_noFog
	
	surfaceparm sky                         
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps

	{
		clampmap textures/skies_sd/wurzburg_fogmask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		//tcMod scale 2 2
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identitylighting
	}
}

textures/arta/fog
{
	qer_editorimage textures/sfx/fog_grey1.tga
	
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	
	fogparms ( 0.09411 0.09803 0.12549 ) 3968 //Test 2: 4096
}

textures/arta/skys
{
	qer_editorimage textures/skies/sky_8.tga
	nomipmaps
	nopicmip
	q3map_nofog

	q3map_sun 0.55 0.55 0.65 30 35 45
	//q3map_sunExt 0.3 0.3 0.45 60 35 45 3 32

	q3map_lightmapFilterRadius 0 8

	q3map_skylight 45 3

	skyparms - 200 -
	sunshader textures/skies_sd/full_moon2
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	
	skyparms - 512 -
	sunshader textures/skies_sd/small_moon

	{
		map textures/arta/clouds.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.006 -0.003
		rgbGen identityLighting
	}
	{
		map textures/skies_sd/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
	{
		clampmap textures/arta/fogmask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identitylighting
	}
}


/////////////////////////////////
//////////////Windows///////////
///////////////////////////////

textures/arta/sign_st
{
	nopicmip 
	nomipmaps
	surfaceparm nonsolid
	implicitMap -
}

textures/arta/sign_rd
{
	nopicmip 
	nomipmaps
	surfaceparm nonsolid
	implicitMap -
}

textures/arta/canvas
{
	qer_editorimage textures/egypt_props_sd/siwa_canvas1.tga
	cull disable
	//nofog
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMap textures/egypt_props_sd/siwa_canvas1.tga
}

textures/arta/light_off
{
	nopicmip 
	surfaceparm metalsteps
	{
		map textures/arta/light_off.tga
		rgbGen vertex
	}

}

textures/arta/light_on
{
	nopicmip
	surfaceparm metalsteps
	{
		map textures/arta/light_on.tga
		rgbGen vertex
	}
}

textures/arta/light_on2
{
	qer_editorimage textures/arta/light_on.tga
	nopicmip
	surfaceparm nonsolid
	{
		map textures/arta/light_on.tga
		rgbGen vertex
	}
}

textures/arta/door_c13
{
	qer_editorimage textures/doors/door_c13.tga

	polygonoffset

	surfaceparm woodsteps

	implicitMap textures/doors/door_c13.tga
}

textures/arta/cards_sm
{
	polygonoffset

	surfaceparm woodsteps

	implicitMap -
}

textures/arta/chess
{
	nopicmip 
	implicitMap -
}

textures/arta/notes
{
	nomipmaps
	nopicmip
	
	implicitMap -
}

textures/arta/corona
{
	qer_editorimage gfx/misc/flare5.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	polygonOffset
deformVertexes autosprite
	{
		map gfx/misc/flare5.tga
		blendFunc add
		rgbGen vertex
	}
}

