//Shaders by Sage
//Shaders and textures for the splash by Avoc



textures/arta/river
{
	qer_editorimage textures/arta/water.tga
	qer_trans .5
	//q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
	q3map_globaltexture
	cull disable
	nocompress
	nofog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	//waterfogvars ( 0.11 0.13 0.15 ) 0.2
	nopicmip

	sort underwater

	q3map_tessSize 512

 	deformVertexes wave 384 sin 0 8 0 0.6


	{ 
		map textures/arta/water.tga
		blendFunc blend
		rgbGen identity
		alphaGen const 0.75
		tcmod scroll -0.09 0.02
	}
	{
		map textures/arta/specular.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		alphaGen const 0.8
		tcGen environment
	}
	{
		map textures/arta/foam.tga
		blendFunc blend
		alphaGen const 0.4
		tcmod scale 0.25 0.25
		tcmod scroll -0.09 0.02
		rgbGen identity
	}

	{
		map textures/arta/foam.tga
		blendFunc blend
		alphaGen const 0.4
		tcmod scale 0.5 0.5
		tcmod scroll -0.04 0.02
		//tcMod turb 0 -0.13 0 -0.23
		rgbGen identity
	}
}

textures/arta/river_fast
{
	qer_editorimage textures/arta/water.tga
	qer_trans .5
	//q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
	q3map_globaltexture
	cull disable
	nocompress
	nofog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	//waterfogvars ( 0.11 0.13 0.15 ) 0.2
	nopicmip

	sort underwater


	//q3map_tessSize 512

 	deformVertexes wave 384 sin 0 9 0 0.7


	{ 
		map textures/arta/water.tga
		blendFunc blend
		rgbGen identity
		alphaGen const 0.75
		tcmod scroll -0.35 0.02
		tcMod turb 0 -0.03 0 -0.13
	}
	//{
	//	map textures/arta/specular.tga
	//	blendFunc GL_ONE GL_ONE
	//	rgbGen identity
	//	alphaGen const 0.8
	//	tcGen environment
	//}


	{
		map textures/arta/foam.tga
		blendFunc blend
		alphaGen const 0.8
		tcmod scale 0.75 0.75
		tcmod scroll -0.28 0.02
		tcMod turb 0 -0.03 0 -0.13
		rgbGen identity
	}

	{
		map textures/arta/foam.tga
		blendFunc blend
		alphaGen const 0.8
		tcmod scale 0.5 0.5
		tcmod scroll -0.2 0.02
		tcMod turb 0 0.03 0 0.13
		rgbGen identity
	}


	{ 
		map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.07 0.05 0 0.4
		//rgbGen wave sin 1 -0.75 0.5 0.22 
		//rgbGen wave sin 0.2 0.1 0 0.2
		tcMod turb 0 0.13 0 0.2
		//tcmod stretch sin 1 0.1 0 1

		//tcmod scale 2 2
		tcmod scroll -0.2 0.02
	}
}

textures/arta/river_fasts
{
	qer_editorimage textures/arta/water.tga
	qer_trans .5
	//q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
	q3map_globaltexture
	cull disable
	nocompress
	nofog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	//waterfogvars ( 0.11 0.13 0.15 ) 0.2
	nopicmip

	sort underwater


	//q3map_tessSize 512

 	deformVertexes wave 384 sin 0 9 0 0.7


	{ 
		map textures/arta/water.tga
		blendFunc blend
		rgbGen identity
		alphaGen const 0.75
		tcmod scroll -0.35 0.02
		tcMod turb 0 -0.03 0 -0.13
	}
	//{
	//	map textures/arta/specular.tga
	//	blendFunc GL_ONE GL_ONE
	//	rgbGen identity
	//	alphaGen const 0.8
	//	tcGen environment
	//}


	{
		map textures/arta/foam.tga
		blendFunc blend
		alphaGen const 0.8
		tcmod scale 0.75 0.75
		tcmod scroll -0.28 0.02
		tcMod turb 0 -0.03 0 -0.13
		rgbGen identity
	}

	{
		map textures/arta/foam.tga
		blendFunc blend
		alphaGen const 0.8
		tcmod scale 0.5 0.5
		tcmod scroll -0.2 0.02
		tcMod turb 0 0.03 0 0.13
		rgbGen identity
	}
}

textures/arta/waterfall
{
	qer_editorimage textures/arta/water.tga
	qer_trans .5
	//q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
	q3map_globaltexture
	cull disable
	nocompress
	nofog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	//waterfogvars ( 0.11 0.13 0.15 ) 0.2
	nopicmip

 	deformVertexes wave 512 sin 0 7 0 0.7

	{ 
		map textures/arta/water.tga
		blendFunc blend
		rgbGen identity
		alphaGen const 0.75
		tcmod scroll -1 0.02
	}
	{
		map textures/arta/specular.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		alphaGen const 0.8
		tcGen environment
	}
	{
		map textures/liquids_sd/siwa_shimshim1.tga
		blendFunc gl_one gl_one
		alphaGen const 0.6
		tcmod scale 0.5 0.5
		tcmod scroll -0.7 0.02
		tcMod turb 0 -0.13 0 -0.23
		rgbGen identity
	}

	{
		map textures/arta/uboat_foam.tga
		blendFunc blend
		alphaGen const 0.6
		tcmod scale 0.5 0.5
		tcmod scroll -0.7 0.02
		tcMod turb 0 -0.03 0 -0.13
		rgbGen identity
	}

}

textures/arta/water_seam
{
	qer_editorimage textures/arta/water.tga
	q3map_globaltexture
sort additive
	cull none
	nopicmip
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
 	deformVertexes wave 384 sin 0 8 0 0.6



	{
		map textures/arta/foam.tga
		blendFunc blend
		//alphaGen const 0.6
		tcmod scale 0.25 0.25
		tcmod scroll -0.05 0.3
		tcMod turb 0 -0.09 0 -0.19
		alphaGen vertex
		rgbGen identity
	}

	{
		map textures/arta/foam.tga
		blendFunc blend
		//alphaGen const 0.6
		tcmod scale 0.4 0.4
		tcmod scroll -0.05 0.3
		tcMod turb 0 -0.09 0 -0.19
		alphaGen vertex
		rgbGen identity
	}

	{
		map textures/arta/uboat_foam.tga
		blendFunc blend
		//alphaGen const 0.6
		//tcmod scale 0.5 0.5
		tcmod scroll -0.05 0.3
		tcMod turb 0 -0.09 0 -0.19

		alphaGen vertex
		rgbGen identity
	}
}

textures/arta/water_fall
{
	qer_editorimage textures/arta/water.tga
	q3map_globaltexture
sort additive
	cull none
	nopicmip
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
q3map_nonPlanar
 	//deformVertexes wave 384 sin 0 3 0 0.6



	{
		map textures/arta/foam.tga
		blendFunc blend
		//alphaGen const 0.6
		tcmod scale 0.25 0.25
		tcmod scroll -0.3 0.05
		tcMod turb 0 -0.09 0 -0.19
		alphaGen vertex
		rgbGen identity
	}

	{
		map textures/arta/foam.tga
		blendFunc blend
		//alphaGen const 0.6
		tcmod scale 2 2
		tcmod scroll -0.3 0.05
		tcMod turb 0 -0.09 0 -0.19
		alphaGen vertex
		rgbGen identity
	}

	{
		map textures/arta/uboat_foam.tga
		blendFunc blend
		alphaGen const 0.4
		tcmod scale 0.25 0.25
		tcmod scroll -0.3 0.05
		tcMod turb 0 -0.09 0 -0.19

		alphaGen vertex
		rgbGen identity
	}
}

textures/arta/bubbles
{
	qer_editorimage textures/arta/bubbles.tga
	cull none
	nopicmip
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
 	deformVertexes wave 384 sin 0 6 0 0.80

	{
		map textures/arta/bubbles.tga
		blendFunc blend
		//alphaGen const 0.4
		//depthWrite
		alphagen vertex
		rgbGen identity
		tcmod scroll 0 0.9
		//rgbGen wave sin 0.2 0.1 0 0.2
		tcMod turb 0 -0.07 0 -0.17
	}
}


////////////////////////////////////////////
//*******Avoc:***************
////////////////////////////////////////////



textures/arta/splash1
{
	qer_editorimage textures/arta/splash1.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	sort 16
	deformVertexes move 10 -5 30 sawtooth 0 1 0 0.99758
	deformVertexes autosprite

	//<x> <y> <z> <func> <base><amplitude> <phase> <freq>
	{
		clampmap textures/arta/splash1.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 0.99758 
		tcMod stretch sawtooth 1 0 0 0.99758 
		alphaGen wave sawtooth 0.6 -0.6 0 0.99758

	}
}

textures/arta/splash2
{
	qer_editorimage textures/arta/splash1.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	sort 16
	deformVertexes move 10 -5 20 sawtooth 0 1 0 0.83 	
	deformVertexes autosprite

	//<x> <y> <z> <func> <base><amplitude> <phase> <freq>
	{
		clampmap textures/arta/splash1.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 0.83 
		tcMod stretch sawtooth 1 0 0 0.83 
		alphaGen wave sawtooth 0.6 -0.6 0 0.83 
	}
}

textures/arta/splash3
{
	qer_editorimage textures/arta/splash1.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	sort 16
	deformVertexes move 10 -5 20 sawtooth 0 1 0 1 		
	deformVertexes autosprite

	//<x> <y> <z> <func> <base><amplitude> <phase> <freq>
	{
		clampmap textures/arta/splash1.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 1
		tcMod stretch sawtooth 1 0 0 1 
		alphaGen wave sawtooth 0.6 -0.6 0 1 
	}
}

textures/arta/splash4
{
	qer_editorimage textures/arta/splash1.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	sort 16
	deformVertexes move 10 -5 20 sawtooth 0 1 0 0.78 		
	deformVertexes autosprite

	//<x> <y> <z> <func> <base><amplitude> <phase> <freq>
	{
		clampmap textures/arta/splash1.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 0.78 
		tcMod stretch sawtooth 1 0 0 0.78 
		alphaGen wave sawtooth 0.6 -0.6 0 0.78 
	}
}

textures/arta/splash5
{
	qer_editorimage textures/arta/splash1.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	sort 16
		//<x> <y> <z> <func> <base><amplitude> <phase> <freq>
	deformVertexes move -15 10 -15 sin 0 1 0 0.2
	deformVertexes autosprite

	{
		clampmap textures/arta/splash1.tga
		blendfunc add
		rgbGen wave sin 1 -0.75 0.5 0.22 
		tcMod stretch sin 1 0 0 0.22
		alphaGen wave sin 1 -0.50 0.5 0.22
	}
}

